"
 COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Method subclass:#WrappedMethod
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Kernel-Methods'
!

WrappedMethod comment:'
COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

$Header: /cvs/stx/stx/libbasic3/WrappedMethod.st,v 1.3 1994-08-05 01:07:58 claus Exp $
'!

!WrappedMethod class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libbasic3/WrappedMethod.st,v 1.3 1994-08-05 01:07:58 claus Exp $
"
!

documentation
"
    support for MessageTracer
"
! !

!WrappedMethod methodsFor:'queries'!

isWrapped
    ^ true
! !

!WrappedMethod methodsFor:'accessing'!

originalMethod
    "return the method I am wrapping"

    "a kludge: it must be in the literal array somewhere"
    literals do:[:aLiteral |
        aLiteral class == Method ifTrue:[
            ^ aLiteral
        ]
    ].
    ^ nil
!

basicLiterals
    "return my literals"

    ^ literals
!

methodArgAndVarNames
    ^ self originalMethod methodArgAndVarNames
!

source
    "return the wrapped methods source"

    ^ self originalMethod source
!

literals
    "return the wrapped methods literals"

    ^ self originalMethod literals
!

numberOfMethodVars
    ^ self originalMethod numberOfMethodVars 
!

methodVarNames
    ^ self originalMethod methodVarNames 
! !

